﻿using System;
using Wisej.Web;

namespace WisejWebApplication1
{
    public class DataGridViewUserPopupColumn : Wisej.Web.DataGridViewTextBoxColumn
    {
        public DataGridViewUserPopupColumn() : base(new DataGridViewUserPopupCell())
        {

        }
    }

    public class DataGridViewUserPopupCell : Wisej.Web.DataGridViewTextBoxCell
    {
        public DataGridViewUserPopupCell()
        {
        }

        protected override void OnKeyDown(KeyEventArgs e)
        {
            base.OnKeyDown(e);
        }

        public override void InitializeEditingControl(Control editor, DataGridViewCellStyle style)
        {
            base.InitializeEditingControl(editor, style);
        }

        private static Type defaultEditType = typeof(DataGridViewUserPopupEditingControl);

        public override Type EditType
        {
            get { return defaultEditType; }
        }

        private static Type defaultValueType = typeof(string);
        public override Type ValueType
        {
            get
            {
                Type valueType = base.ValueType;
                if (valueType != null)
                {
                    return valueType;
                }
                return defaultValueType;
            }
        }
    }

    public class DataGridViewUserPopupEditingControl : DataGridViewTextBoxEditingControl
    {
        public DataGridViewUserPopupEditingControl()
        {
            this.KeyDown += DataGridViewComboBox_KeyDown;
        }

        private void DataGridViewComboBox_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyCode)
            {
                case Keys.D1:
                    if (e.Alt)
                    {
                        UserPopup1 popup = new UserPopup1();
                        popup.ShowPopup(this);
                    }
                    break;
                default:
                    break;
            }
        }



    }
}
